Package org.silverpeas.components.kmelia.service

## Class KmeliaHelper

- java.lang.Object
- - org.silverpeas.components.kmelia.service.KmeliaHelper

- All Implemented Interfaces:
    `Serializable`

      public class KmeliaHelper
      extends Object
      implements Serializable

  Author:
    neysseri
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `PUBLICATION_CONTENT` |
    `static int` | `PUBLICATION_HEADER` |
    `static String` | `ROLE_ADMIN` |
    `static String` | `ROLE_PUBLISHER` |
    `static String` | `ROLE_READER` |
    `static String` | `ROLE_WRITER` |
    `static String` | `SPECIALFOLDER_NONVISIBLEPUBS` |
    `static String` | `SPECIALFOLDER_TOVALIDATE` |
    `static int` | `VALIDATION_CLASSIC` |
    `static int` | `VALIDATION_COLLEGIATE` |
    `static int` | `VALIDATION_TARGET_1` |
    `static int` | `VALIDATION_TARGET_N` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `checkIndex​(org.silverpeas.core.contribution.publication.model.PublicationDetail pubDetail)` |
    `static String` | `extractObjectIdFromURL​(String url)` |
    `static String` | `extractObjectTypeFromURL​(String url)` |
    `static String` | `getDocumentUrl​(org.silverpeas.core.contribution.publication.model.PublicationDetail pubDetail, org.silverpeas.core.contribution.attachment.model.SimpleDocument document, String instanceId)` |
    `static String` | `getNodeUrl​(org.silverpeas.core.node.model.NodeDetail nodeDetail)` |
    `static String` | `getProfile​(String[] profiles)` |
    `static String` | `getPublicationUrl​(org.silverpeas.core.contribution.publication.model.PublicationDetail pubDetail, org.silverpeas.core.node.model.NodePK nodePK)` |
    `static String` | `getSilverpeasRole​(Collection<org.silverpeas.core.admin.user.model.SilverpeasRole> roles)` |
    `static boolean` | `isIndexable​(org.silverpeas.core.contribution.publication.model.PublicationDetail pubDetail)` |
    `static boolean` | `isKmax​(String componentId)` |
    `static boolean` | `isKmelia​(String componentId)` |
    `static boolean` | `isNonVisiblePubsFolder​(String id)` |
    `static boolean` | `isSpecialFolder​(String id)` |
    `static boolean` | `isToolbox​(String componentId)` |
    `static boolean` | `isToValidateFolder​(String id)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PUBLICATION_HEADER

          public static final int PUBLICATION_HEADER

      See Also:
        Constant Field Values

    - #### PUBLICATION_CONTENT

          public static final int PUBLICATION_CONTENT

      See Also:
        Constant Field Values

    - #### VALIDATION_CLASSIC

          public static final int VALIDATION_CLASSIC

      See Also:
        Constant Field Values

    - #### VALIDATION_TARGET_1

          public static final int VALIDATION_TARGET_1

      See Also:
        Constant Field Values

    - #### VALIDATION_TARGET_N

          public static final int VALIDATION_TARGET_N

      See Also:
        Constant Field Values

    - #### VALIDATION_COLLEGIATE

          public static final int VALIDATION_COLLEGIATE

      See Also:
        Constant Field Values

    - #### ROLE_ADMIN

          public static final String ROLE_ADMIN

      See Also:
        Constant Field Values

    - #### ROLE_PUBLISHER

          public static final String ROLE_PUBLISHER

      See Also:
        Constant Field Values

    - #### ROLE_WRITER

          public static final String ROLE_WRITER

      See Also:
        Constant Field Values

    - #### ROLE_READER

          public static final String ROLE_READER

      See Also:
        Constant Field Values

    - #### SPECIALFOLDER_TOVALIDATE

          public static final String SPECIALFOLDER_TOVALIDATE

      See Also:
        Constant Field Values

    - #### SPECIALFOLDER_NONVISIBLEPUBS

          public static final String SPECIALFOLDER_NONVISIBLEPUBS

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getSilverpeasRole

          public static String getSilverpeasRole​(Collection<org.silverpeas.core.admin.user.model.SilverpeasRole> roles)

    - #### getProfile

          public static String getProfile​(String[] profiles)

    - #### checkIndex

          public static void checkIndex​(org.silverpeas.core.contribution.publication.model.PublicationDetail pubDetail)

    - #### isIndexable

          public static boolean isIndexable​(org.silverpeas.core.contribution.publication.model.PublicationDetail pubDetail)

    - #### extractObjectIdFromURL

          public static String extractObjectIdFromURL​(String url)

    - #### extractObjectTypeFromURL

          public static String extractObjectTypeFromURL​(String url)

    - #### getPublicationUrl

          public static String getPublicationUrl​(org.silverpeas.core.contribution.publication.model.PublicationDetail pubDetail,
                                                 org.silverpeas.core.node.model.NodePK nodePK)

    - #### getNodeUrl

          public static String getNodeUrl​(org.silverpeas.core.node.model.NodeDetail nodeDetail)

    - #### getDocumentUrl

          public static String getDocumentUrl​(org.silverpeas.core.contribution.publication.model.PublicationDetail pubDetail,
                                              org.silverpeas.core.contribution.attachment.model.SimpleDocument document,
                                              String instanceId)

    - #### isToolbox

          public static boolean isToolbox​(String componentId)

    - #### isKmax

          public static boolean isKmax​(String componentId)

    - #### isKmelia

          public static boolean isKmelia​(String componentId)

    - #### isToValidateFolder

          public static boolean isToValidateFolder​(String id)

    - #### isNonVisiblePubsFolder

          public static boolean isNonVisiblePubsFolder​(String id)

    - #### isSpecialFolder

          public static boolean isSpecialFolder​(String id)